HaarFeature64 Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Member Functions

__host__ NCVStatus | setRect (Ncv32u rectX, Ncv32u rectY, Ncv32u rectWidth, Ncv32u rectHeight, Ncv32u, Ncv32u)
__host__ NCVStatus | setWeight (Ncv32f weight)
__device__ __host__ void | getRect (Ncv32u *rectX, Ncv32u *rectY, Ncv32u *rectWidth, Ncv32u *rectHeight)
__device__ __host__ Ncv32f | getWeight (void)

## Public Attributes

uint2 | _ui2

## Detailed Description

Definition at line 69 of file NCVHaarObjectDetection.hpp.

## Member Function Documentation

## getRect()

__device__ __host__ void HaarFeature64::getRect | ( | Ncv32u * | rectX,
|  | Ncv32u * | rectY,
|  | Ncv32u * | rectWidth,
|  | Ncv32u * | rectHeight
| ) |  |

inline

Definition at line 91 of file NCVHaarObjectDetection.hpp.

References NcvRect8u::height, NcvRect8u::width, NcvRect8u::x, and NcvRect8u::y.

## getWeight()

__device__ __host__ Ncv32f HaarFeature64::getWeight | ( | void |  | ) |

inline

Definition at line 100 of file NCVHaarObjectDetection.hpp.

## setRect()

__host__ NCVStatus HaarFeature64::setRect | ( | Ncv32u | rectX,
|  | Ncv32u | rectY,
|  | Ncv32u | rectWidth,
|  | Ncv32u | rectHeight,
|  | Ncv32u | ,
|  | Ncv32u |
| ) |  |

inline

Definition at line 75 of file NCVHaarObjectDetection.hpp.

## setWeight()

__host__ NCVStatus HaarFeature64::setWeight | ( | Ncv32f | weight | ) |

inline

Definition at line 85 of file NCVHaarObjectDetection.hpp.

## Member Data Documentation

## _ui2

uint2 HaarFeature64::_ui2

Definition at line 71 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp